POST Search CustomerGroups
POST /sites/{site_id}/customer_group_search
Operation ID: Search CustomerGroups. Tags: sites. Security: oauth2_application.
Searches for customer groups.
The query attribute specifies a complex query that can be used to narrow down the search. These are the list of searchable attributes:
-
id - String
-
description - String
-
type - String Enum value[system, dynamic, static]
The output of the query can also be sorted. These are the list of sortable attributes:
-
id - String
-
description - String
This endpoint may return the following faults:
- 400 - CustomerGroupTypeInvalidException - Thrown if the search term in term query does not match any of the customer group type.
- 400 - MalformedSearchParameterException - Thrown if the query is ill-formed.
Parameters
site_id(path, string, required) The id of the site.
Minimum length: 1.
Request body (required)
Media type: application/json, text/xml. Schema: search_request.
Responses
- 400
CustomerGroupTypeInvalidException- Thrown if the search term in term query does not match any of the customer group type. orMalformedSearchParameterException- Thrown if the query is ill-formed.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:customer_group_search_result.